All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::TensorInfo< T, IndexT > Struct Template Reference

## Public Attributes

T * | data
IndexT | sizes [kMaxDims]
IndexT | strides [kMaxDims]
int | dims

## Static Public Attributes

static constexpr int | kMaxDims = 8

## Detailed Description

### template<typename T, typename IndexT>
struct faiss::gpu::TensorInfo< T, IndexT >

Definition at line 22 of file Transpose.cuh.

The documentation for this struct was generated from the following file:

- /tmp/faiss/gpu/utils/Transpose.cuh